ExcludeArch: %{ix86}

%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:		hevea
Version:	2.36
Release:    1%{?dist}
Summary:	LaTeX to HTML translator

License:	QPL-1.0-INRIA-2004 WITH QPL-1.0-INRIA-2004-exception AND LPPL-1.3a AND GPL-2.0-or-later
URL:		http://hevea.inria.fr/
Source0:	http://hevea.inria.fr/distri/%{name}-%{version}.tar.gz
Source1:	http://hevea.inria.fr/distri/%{name}-%{version}-manual.pdf

BuildRequires:	make
BuildRequires:	ocaml
BuildRequires:	ocaml-ocamlbuild
BuildRequires:	tex(latex)
BuildRequires:	tex(amsfonts.sty)
BuildRequires:	tex(comment.sty)
BuildRequires:	tex(keyval.sty)
BuildRequires:	tex(url.sty)

Requires:	ghostscript
Requires:	netpbm-progs
Requires:	tex(dvips)
Requires:	tex(latex)
Requires:	tex(amsfonts.sty)
Requires:	tex(comment.sty)
Requires:	tex(keyval.sty)
Requires:	tex(url.sty)


%description
HEVEA is a quite complete and fast LATEX to HTML translator.
HEVEA renders symbols by using the so-called HTML "entities", which
modern browsers display correctly most of the time.


%prep
%setup -q
cp -p %{SOURCE1} .

iconv -f iso-8859-1 -t utf-8 CHANGES > CHANGES.utf8
touch -r CHANGES CHANGES.utf8
mv -f CHANGES.utf8 CHANGES


%build
echo true: debug >> _tags
ulimit -s unlimited
%make_build \
%ifnarch %{ocaml_native_compiler}
	TARGET=byte \
%endif
	PREFIX=%{_prefix} \
	LIBDIR=%{_datadir}/%{name} \
	LATEXLIBDIR=%{_texmf}/tex/latex/hevea


%install
%make_install \
%ifnarch %{ocaml_native_compiler}
	TARGET=byte \
%endif
	PREFIX=%{_prefix} \
	LIBDIR=%{_datadir}/hevea \
	LATEXLIBDIR=%{_texmf}/tex/latex/hevea

	
%files
%doc README CHANGES examples %{name}-%{version}-manual.pdf
%license LICENSE
%{_bindir}/*
%{_datadir}/hevea
%{_texmf}/tex/latex/hevea/


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.36-1
- initial build
